module doodle;

private {
    import dia.tool_layer;
    import dia.standard_tools;
    import dia.page_layer;

    import gtk.canvas;
    import gtk.toolbar;

    import gtk.Main;
    import gtk.MainWindow;
    import gtk.VBox;

    import std.stdio;
}

void main(string[] args) {
    Main.init(args);
    auto window = new MainWindow("Doodle");
    auto vbox = new VBox(false, 0);
    auto tool_bar = new ToolBar;
    vbox.packStart(tool_bar, false, false, 0);
    Tool[] tools;
    tools ~= new PanTool;
    tools ~= new ZoomTool;
    tools ~= new LassoTool;
    auto tool_layer = new ToolLayer(tools, "Tools");
    Layer[] layers;
    layers ~= new PageLayer("Page");
    layers ~= tool_layer;
    auto canvas = new Canvas(layers, tool_layer, 120.0);
    vbox.packStart(canvas, true, true, 0);
    window.add(vbox);
    window.setDefaultSize(380, 380);
    window.showAll();
    Main.run();

    /*
    Point p3 = Point.DEFAULT;

    Point p1 = Point(3.0, 5.0);
    writefln("%s", p1);

    Point p2 = Point(1.0, 2.0);
    writefln("%s", p2);

    writefln("%s", p1 - p2);

    Rectangle r = Rectangle(p1, p2);
    writefln("%s", r);
    */
}
